package com.ywt.mg.domain.models.enums;

public enum PushStatusEnum {
    UNKNOWN("未知", 0),
    ALL_DOCTOR("平台所有医生", 1),
    ALL_PATIENT("平台所有患者", 2),
    MY_TEAM("仅我的医生团队", 4),
    MY_PATIENT("仅我的患者", 8);


    String display;
    int value;

    PushStatusEnum(String display, int value) {
        this.display = display;
        this.value = value;
    }

    public String getDisplay() {
        return display;
    }

    public int getValue() {
        return value;
    }

    public PushStatusEnum valueOf(int value) {
        for (PushStatusEnum pushStatusEnum : values()) {
            if (pushStatusEnum.value == value) {
                return pushStatusEnum;
            }
        }
        return UNKNOWN;
    }
}
